<template>
  <div clas="patient-statistics">
    <ScrollPanel class="custom">
      <h4>Polar Area</h4>
      <Chart type="polarArea" :data="chartData" :options="chartOptions" />
      <h4>Line</h4>
      <Chart type="line" :data="basicData" :options="basicOptions" />
    </ScrollPanel>
  </div>
</template>

<script>
import Chart from "primevue/chart";
import ScrollPanel from "primevue/scrollpanel";

export default {
  name: "Patient Statistics",
  components: {
    Chart,
    ScrollPanel,
  },
  data() {
    return {
      chartData: {
        datasets: [
          {
            data: [11, 16, 7, 3, 14],
            backgroundColor: [
              "#42A5F5",
              "#66BB6A",
              "#FFA726",
              "#26C6DA",
              "#7E57C2",
            ],
            label: "My dataset",
          },
        ],
        labels: ["Red", "Green", "Yellow", "Grey", "Blue"],
      },
      chartOptions: {
        plugins: {
          legend: {
            labels: {
              color: "#495057",
            },
          },
        },
        scales: {
          r: {
            grid: {
              color: "#ebedef",
            },
          },
        },
      },
      basicData: {
        labels: [
          "January",
          "February",
          "March",
          "April",
          "May",
          "June",
          "July",
        ],
        datasets: [
          {
            label: "First Dataset",
            data: [65, 59, 80, 81, 56, 55, 40],
            fill: false,
            borderColor: "#42A5F5",
            tension: 0.4,
          },
          {
            label: "Second Dataset",
            data: [28, 48, 40, 19, 86, 27, 90],
            fill: false,
            borderColor: "#FFA726",
            tension: 0.4,
          },
        ],
      },
      basicOptions: {
        plugins: {
          legend: {
            labels: {
              color: "#495057",
            },
          },
        },
        scales: {
          x: {
            ticks: {
              color: "#495057",
            },
            grid: {
              color: "#ebedef",
            },
          },
          y: {
            ticks: {
              color: "#495057",
            },
            grid: {
              color: "#ebedef",
            },
          },
        },
      },
    };
  },
};
</script>

<style lang="scss">
.custom {
  width: 600px;
  height: 600px;
  margin-bottom: 5rem;
}

@media screen and (max-width: 600px) {
  .custom {
    width: 370px;
    height: 370px;
  }
}

.custom .p-scrollpanel-wrapper {
  border-right: 9px solid #f4f4f4;
  border-bottom: 9px solid var(--surface-border);
}

.custom .p-scrollpanel-bar {
  background-color: #1976d2;
  opacity: 1;
  transition: background-color 0.3s;
}

.custom .p-scrollpanel-bar:hover {
  background-color: #135ba1;
}

.custom .p-scrollpanel-content {
  width: 100%;
  height: 100%;
}
</style>